# vdcpy

Python library that helps to manage the VDC API.

## Install dependences

```pip install -r requeriments.txt```

## Run tests

```
python -m unittest tests\user_tests\add_user_test.py
python -m unittest tests\user_tests\get_user_test.py
python -m unittest tests\user_tests\update_user_test.py
python -m unittest tests\user_tests\delete_user_test.py

python -m unittest tests\project_tests\add_project_test.py
python -m unittest tests\project_tests\get_project_test.py
python -m unittest tests\project_tests\update_project_test.py
python -m unittest tests\project_tests\delete_project_test.py

python -m unittest tests\work_tests\add_work_test.py
python -m unittest tests\work_tests\get_work_test.py
python -m unittest tests\work_tests\update_work_test.py
python -m unittest tests\work_tests\delete_work_test.py

python -m unittest tests\link_tests\add_link_test.py
python -m unittest tests\link_tests\get_link_test.py
python -m unittest tests\link_tests\update_link_test.py
python -m unittest tests\link_tests\delete_link_test.py

python -m unittest tests\file_tests\add_file_test.py
python -m unittest tests\file_tests\get_file_test.py
python -m unittest tests\file_tests\delete_file_test.py


python -m unittest tests\site_tests\add_site_test.py
python -m unittest tests\site_tests\get_site_test.py
python -m unittest tests\site_tests\update_site_test.py
python -m unittest tests\site_tests\delete_site_test.py
```
