import unittest

import vdcpy.site as vdc_site
import tests.utils.site_util as site_util

class DeleteSiteTest(unittest.TestCase):

    def setUp(self):
        site_util.delete_unittest_sites()
        site_util.add_unittest_site()

    def test_successful_delete_site(self):
        # Get unittest site id
        site_list = vdc_site.get_sites(name='unittest_site')
        site_id = site_list[0]['id']
        # Delete the unittest site.
        response = vdc_site.delete_site(site_id)
        self.assertEqual(response, True)
