from setuptools import setup, find_packages

with open("README.md", "r") as rd:
  long_description = rd.read()

setup(
    name='vdcpy',
    version='0.0.10',
    description='VDCpy is a Python library for interacting with the VDC API.',
    url='', 
    author='Raul Bardaji',
    author_email='rbardaji@gmail.com',
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Intended Audience :: Education',
        'Operating System :: OS Independent',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
    ],
    long_description=long_description,
    long_description_content_type="text/markdown",
    install_requires=['requests'],
    keywords=['python', 'vdc', 'api'],
    packages=find_packages(),
    include_package_data=True,
)