import unittest

import vdcpy.work as vdc_work


class GetWorkTest(unittest.TestCase):

    def test_successful_get_work(self):
        work_list = vdc_work.get_works()
        self.assertEqual(type(work_list), list)

    def test_successful_get_work_with_work_id(self):
        work_list = vdc_work.get_works(work_id='unittest_id')
        self.assertEqual(type(work_list), list)

    def test_successful_get_work_with_title(self):
        work_list = vdc_work.get_works(title='unittest_title')
        self.assertEqual(type(work_list), list)

    def test_successful_get_work_with_abstract(self):
        work_list = vdc_work.get_works(abstract='unittest_abstract')
        self.assertEqual(type(work_list), list)

    def test_successful_get_work_with_genre(self):
        work_list = vdc_work.get_works(genre='unittest_genre')
        self.assertEqual(type(work_list), list)

    def test_successful_get_work_with_visibility(self):
        work_list = vdc_work.get_works(visibility='unittest_visibility')
        self.assertEqual(type(work_list), list)

    def test_successful_get_work_with_project(self):
        work_list = vdc_work.get_works(project='unittest_project')
        self.assertEqual(type(work_list), list)
    
    def test_successful_get_work_with_created_by(self):
        work_list = vdc_work.get_works(created_by='unittest_created_by')
        self.assertEqual(type(work_list), list)
